Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 706770

Summary: net-analyzer/pmacct-1.7.4 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Netmon Herd <netmon>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
net-analyzer:pmacct-1.7.4:20200127-202820.log.bz2
temp.tbz2

Description Toralf Förster gentoo-dev 2020-01-27 20:36:59 UTC
libtool: link: rm -fr .libs/libdaemons.lax
libtool: link: ( cd ".libs" && rm -f "libdaemons.la" && ln -s "../libdaemons.la" "libdaemons.la" )
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -I/usr/include/postgresql-12  -O2 -O2 -pipe -march=native -fno-common -Wall   -Wl,--export-dynamic -Wl,-O1 -Wl,--as-needed -o pmacct pmacct.o libcommon.la libdaemons.la -lpcap  -ldl -lm -lpthread
libtool: link: x86_64-pc-linux-gnu-gcc -I/usr/include/postgresql-12 -O2 -O2 -pipe -march=native -fno-common -Wall -Wl,--export-dynamic -Wl,-O1 -o pmacct pmacct.o  -Wl,--as-needed ./.libs/libcommon.a ./.libs/libdaemons.a -L/usr/lib64/postgresql-12/lib64 -lpq -lz -lpcap -ldl -lm -lpthread
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ./.libs/libdaemons.a(libdaemons_la-sql_common.o):(.bss+0x20a8): multiple definition of `insert_func'; ./.libs/libdaemons.a(libdaemons_la-plugin_common.o):(.bss+0xf0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ./.libs/libdaemons.a(libdaemons_la-sql_common.o):(.bss+0x2d568): multiple definition of `qq_ptr'; ./.libs/libdaemons.a(libdaemons_la-plugin_common.o):(.bss+0x84): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *


ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 19:49:36 +0000

emerge -qpvO net-analyzer/pmacct
[ebuild  N    ] net-analyzer/pmacct-1.7.4  USE="bgp-bins bmp-bins l2 postgres st-bins traffic-bins -64bit -geoip -geoipv2 -jansson -kafka -mongodb -mysql -ndpi -nflog -plabel -rabbitmq -sqlite -zmq"
Comment 1 Toralf Förster gentoo-dev 2020-01-27 20:37:02 UTC
Created attachment 605840 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 20:37:05 UTC
Created attachment 605842 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 20:37:08 UTC
Created attachment 605844 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 20:37:11 UTC
Created attachment 605846 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 20:37:13 UTC
Created attachment 605848 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-27 20:37:16 UTC
Created attachment 605850 [details]
net-analyzer:pmacct-1.7.4:20200127-202820.log.bz2
Comment 7 Toralf Förster gentoo-dev 2020-01-27 20:37:19 UTC
Created attachment 605852 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-28 10:40:29 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c3ed131722d7bb3a751dbd2cb4fd3877bad8709

commit 9c3ed131722d7bb3a751dbd2cb4fd3877bad8709
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-28 10:24:10 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-28 10:40:25 +0000

    net-analyzer/pmacct: Set CFLAGS=-fcommon
    
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=706770
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/pmacct/pmacct-1.7.4.ebuild | 1 +
 1 file changed, 1 insertion(+)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5416c40d5783ec44eaa7d46533d59529be3b5859

commit 5416c40d5783ec44eaa7d46533d59529be3b5859
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-28 10:37:46 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-28 10:40:26 +0000

    net-analyzer/pmacct: Set CFLAGS=-fcommon
    
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Bug: https://bugs.gentoo.org/show_bug.cgi?id=706770
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/pmacct/pmacct-999999.ebuild | 1 +
 1 file changed, 1 insertion(+)
Comment 9 Larry the Git Cow gentoo-dev 2021-01-04 11:11:45 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea9e05c4db3b791d8cba5d23a0843bc9e8ceb150

commit ea9e05c4db3b791d8cba5d23a0843bc9e8ceb150
Author:     Andreas K. Huettel <dilfridge@gentoo.org>
AuthorDate: 2021-01-03 09:13:54 +0000
Commit:     Andreas K. Huettel <dilfridge@gentoo.org>
CommitDate: 2021-01-04 11:11:26 +0000

    net-analyzer/pmacct: Remove old
    
    Bug: https://bugs.gentoo.org/706770
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Andreas K. Huettel <dilfridge@gentoo.org>

 net-analyzer/pmacct/Manifest               |   4 --
 net-analyzer/pmacct/pmacct-1.6.2.ebuild    |  81 -----------------------
 net-analyzer/pmacct/pmacct-1.7.1-r1.ebuild |  93 ---------------------------
 net-analyzer/pmacct/pmacct-1.7.2-r1.ebuild |  93 ---------------------------
 net-analyzer/pmacct/pmacct-1.7.3-r2.ebuild | 100 -----------------------------
 5 files changed, 371 deletions(-)